%global         forgeurl https://github.com/olofk/fusesoc
%global         tag %version

Name:           fusesoc
Version:        2.4.3
%forgemeta
Release:        %autorelease
Summary:        Tools for FPGA/ASIC development
BuildArch:      noarch
License:        BSD-2-Clause
URL:            https://fusesoc.readthedocs.io
Source0:        %forgesource

BuildRequires:  git python3-devel python3-setuptools

%global _python_dist_allow_version_zero 1

%description
FuseSoC is a package manager and a set of build tools for FPGA/ASIC development.

%package        python3
Summary:        %{summary}
Requires:       okonomiyaki-python3
Provides:       fusesoc

%description    python3
Edalize is a library for interfacing EDA tools, primarily for FPGA development.


%prep
%forgesetup

echo "version = \"${RPM_PACKAGE_VERSION}-${RPM_PACKAGE_RELEASE}\"" > version.py

%build
echo "import setuptools; setuptools.setup(packages=['%{name}'],name='%{name}',version='%{version}')" > setup.py
%py3_build


%install
%py3_install
sed -i '/jsonschema2md/d' %{buildroot}%{python3_sitelib}/%{name}-*.egg-info/PKG-INFO || true
sed -i '/jsonschema2md/d' %{buildroot}%{python3_sitelib}/%{name}-*.egg-info/requires.txt || true

install version.py %{buildroot}%{python3_sitelib}/fusesoc/version.py
touch -d "@${SOURCE_DATE_EPOCH}" %{buildroot}%{python3_sitelib}/fusesoc/version.py



%files python3
%license LICENSE
%doc NEWS README.md
%{_bindir}/%{name}
%{python3_sitelib}/*


%changelog
* Sun Dec 05 2021 Cristian Balint <cristian.balint@gmail.com>
- github upstream releases
